import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl';
 
const svg = select('svg');
let fruits;
let selectedFruit = null;

const hoverFruit = id => {
	selectedFruit = id;
  render();
}

const clickFruit = id => {  
  const index = fruits.findIndex(e => e.id === id);
  if(fruits[index].type === 'apple')
    fruits[index].type = 'lemon';
  else
    fruits = fruits.filter((d, i) => i !== index); 
  // console.log(fruits);
  render();
}
const render = () => {
  fruitBowl(svg, {
    fruits,
    height: +svg.attr('height'),
    selectedFruit,
    hoverFruit,
    clickFruit
  });
  
};

// Buy 5 apples.
const makeFruit = (type,id) => ({ type, id });
fruits = range(5).map((d,i) => makeFruit('apple', i));
render();

// Eat an apple.
// setTimeout(() => {
//   fruits.pop();
//   render();
// }, 3000);

// Replace an apple with a lemon.
// setTimeout(() => {
//   fruits[2].type = 'lemon';
//   render();
// }, 6000);

// Eat an apple (second one from the left).
// setTimeout(() => {
//   fruits = fruits.filter((d, i) => i !== 1);
//   render();
// }, 9000);